Retrieve agent history
https://api.agora.io/api/conversational-ai-agent/v2/projects/{appid}/agents/{agentId}/historyCall this endpoint while the agent is running to retrieve the conversation history between the user and the Conversational AI agent.
Request
Path parameters
The App ID of the project.
The agent instance ID you obtained after successfully calling join to Start a conversational AI agent.
Response
-
If the returned status code is
200, the request was successful. The response body contains the result of the request.OK
- agent_id string
Unique identifier of the agent.
- start_ts integer
Agent creation timestamp.
- contents array
Agent history.
Show propertiesHide properties
- content string
Message content.
- speech_start_ms integer
Unix timestamp in milliseconds indicating when the user started speaking or the agent started TTS playback. Only returned when
llm.vendoriscustom. - speech_end_ms integer
Unix timestamp in milliseconds indicating when the user stopped speaking, or when TTS playback completed or was interrupted. Only returned when
llm.vendoriscustom. - speech_algorithmic_delay integer
The total delay in milliseconds introduced by audio processing algorithms, including noise reduction, background voice suppression, and voiceprint locking, after audio is captured from the user's microphone. Use this value to align timestamps with cloud recording audio.
Only returned when:
llm.vendoriscustomcontents[].roleisuser- Actual voice input is present
-
If the returned status code is not
200, the request failed. The response body includes the error code and description. Refer to status codes to understand the possible reasons for failure.